<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org">
<head>
    <title>All users</title>
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/>
</head>
<body>
<h1 th:text="'User info'"/>

<form th:action="@{/users}" th:object="${user}" method="put">
    <p th:text="'Id: ' + *{id}"/>
    <p>First name: <input type="text" th:field="*{firstName}"/></p>
    <p>Last name: <input type="text" th:field="*{lastName}"/></p>
    <p>
        Address
        <select>
            <option th:each="address : ${addresses}"
                    th:value="${address}"
                    th:text="${address.city}+', '+ ${address.street}+', '+ ${address.houseNumber}"/>
        </select>
    </p>
    <p><input type="submit" value="Submit changes"/> <input type="reset" value="Reset"/></p>
</form>
</body>
</html>